---
- name: Disable reporting
  community.general.ini_file:
    path: "{{ influxdb_config_file_path }}"
    section: None
    option: reporting-disabled
    value: 'true'
    mode: "0644"

- name: Manage http logging
  community.general.ini_file:
    path: "{{ influxdb_config_file_path }}"
    section: http
    option: log-enabled
    value: 'false'
    mode: "0644"

- name: Create the data directory
  ansible.builtin.file:
    path: "{{ influxdb_data_path }}"
    state: directory
    owner: influxdb
    group: influxdb
    mode: "0755"

- name: Metadata in the encrypted partition
  community.general.ini_file:
    path: "{{ influxdb_config_file_path }}"
    section: meta
    option: dir
    value: '"{{ influxdb_data_path }}/meta"'
    mode: "0644"

- name: Data TSM files in the encrypted partition
  community.general.ini_file:
    path: "{{ influxdb_config_file_path }}"
    section: data
    option: dir
    value: '"{{ influxdb_data_path }}/data"'
    mode: "0644"

- name: Data WAL files in the encrypted partition
  community.general.ini_file:
    path: "{{ influxdb_config_file_path }}"
    section: data
    option: wal-dir
    value: '"{{ influxdb_data_path }}/wal"'
    mode: "0644"
...
